Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.stylesheet.propertypeer
Class InsetsPeer

    java.lang.Object
      echopointng.stylesheet.propertypeer.AbstractCssPropertyPeer
          echopointng.stylesheet.propertypeer.InsetsPeer

All Implemented Interfaces:
  CssPropertyPeer

    public class InsetsPeer

extends AbstractCssPropertyPeer

`InsetsPeer` is used to create Insets objects

Constructor Summary
`InsetsPeer()`

Method Summary
`protected boolean` | `canConvert(CssObjectIntrospector ci, java.lang.String propertyValue)` Is the propertyValue valid in its current form?
`protected java.lang.Class` | `getConversionClass()` What is an assignable conversion class for this peer
`protected java.lang.Object` | `getObject(CssObjectIntrospector ci, java.lang.String propertyValue)` Returns an instance of the converted property value.
`protected java.lang.String` | `getString(CssObjectIntrospector ci, java.lang.Object object)` Get a string representation of the object.

Methods inherited from class echopointng.stylesheet.propertypeer.AbstractCssPropertyPeer
`getConstantFromMap, getConstantFromMap, getConstantValue, getInteger, getIntFromMap, getJavaObject, getPeer, getStyleString, isAssignableFrom, isExtent, isInteger, isNullString, makeExtent, tokenize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsetsPeer

    public InsetsPeer()

Method Detail

### getConversionClass

    protected java.lang.Class getConversionClass()

  Description copied from class: `AbstractCssPropertyPeer`
  What is an assignable conversion class for this peer

  Specified by:
    `getConversionClass` in class `AbstractCssPropertyPeer`
  Returns:
    - a conversion class
  See Also:
    `AbstractCssPropertyPeer.getConversionClass()`

### canConvert

    protected boolean canConvert(CssObjectIntrospector ci,
                                 java.lang.String propertyValue)

  Description copied from class: `AbstractCssPropertyPeer`
  Is the propertyValue valid in its current form?

  Specified by:
    `canConvert` in class `AbstractCssPropertyPeer`
  Parameters:
    `ci` - - The component Intropector
    `propertyValue` - - the value to inspect
  Returns:
    true if its a valid, convertable value

### getObject

    protected java.lang.Object getObject(CssObjectIntrospector ci,
                                         java.lang.String propertyValue)

  Description copied from class: `AbstractCssPropertyPeer`
  Returns an instance of the converted property value. canConvert() will have been called before this is called and hence no sanity checks need be performed again.

  Specified by:
    `getObject` in class `AbstractCssPropertyPeer`
  Parameters:
    `ci` - - a object intropector for you to use
    `propertyValue` - - the value to convert into an object
  Returns:
    the converted value

### getString

    protected java.lang.String getString(CssObjectIntrospector ci,
                                         java.lang.Object object)

  Description copied from class: `AbstractCssPropertyPeer`
  Get a string representation of the object. This default implementation returns String.valueOf(object) or "null";

  Overrides:
    `getString` in class `AbstractCssPropertyPeer`
  Parameters:
    `ci` - - the CssObjectIntrospector available
    `object` - - the object to get a string representation of.
  Returns:
    - the string representation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD